<?php
/**
 * Created by PhpStorm.
 * User: root
 * Date: 7/06/18
 * Time: 10:27
 */

namespace App\Http\Controllers;

use FarhanWazir\GoogleMaps\GMaps;


class GMapsController
{

    /**
     * @return \App\Http\Controllers\OrionController
     */
    private function crearOrionController(){
        return new OrionController();
    }

    /**
     * @return $this Devuelve la vista welcome junto con el mapa $map que va a mostrar
     */
    public function creaMapa(){

        $gmaps = new GMaps();
        //configuracion de mapa
        $config['center'] = 'Escuela Técnica Superior de Ingenieros de Telecomunicación. Universidad de Valladolid'; //asi podemos centrar el mapa en una posición que nosotros queramos, mediante coordenadas.txt o direccion
        //$config['center'] = 'auto'; //asi podemos centrar el mapa en nuestra posición actual del usurio
        $config['zoom'] = '15';
        /*$config['onboundschanged'] = 'if (!centreGot) {
                                            var mapCentre = map.getCenter();
                                            marker_0.setOptions({
                                                position: new google.maps.LatLng(mapCentre.lat(), mapCentre.lng()) 
                                            });
                                        }
                                        centreGot = true;';*/
        //inicializacion de mapa
        $gmaps->initialize($config);

        //$markerme = array();
        //GMaps::add_marker($markerme);

        // añadir marcadores, solo se añadiran los coches que esten disponibles
        $coches = $this->crearOrionController()->obtenerCoches();
        foreach ($coches as $coche) {

            if ($coche['available']['value']) {

                $marker['id'] = $coche['id'];
                $string = 'Matrícula: '.$coche['id'].'<br>Número asientos: '.(string)$coche['numsits']['value'].' asientos'.
                        '<br>Batería: '.(string)$coche['battery']['value'].'%'.'<br>Autonomía: '.
                        (string)$coche['autonomy']['value'].' km'.'<br>'.$coche['brand']['value'].'<br>'.$coche['model']['value'].
                        '<br><b>Doble click para ver los detales y poder realizar la reserva</b>';
                $marker['position'] = $coche['location']['value'];
                $marker['infowindow_content'] = $string;
                $marker['ondblclick'] = 'window.open(\'/map/detalles/'.$marker['id'].'\',\'_blank\',\'width=700,height=300,toolbar=no\')';

                $gmaps->add_marker($marker);
            }
        }
        //creacion de mapa con marcadores
        $map = $gmaps->create_map();
        return view('map')->with('map',$map);
    }
}